Bug 1260620 - Install vim plugin files into correct directory
Install vim plugin files into correct directory
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: powerline (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Schneider
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-07 07:44 EDT by Vít Ondruch
Modified: 2015-10-14 02:56 EDT (History)
2 users (show)

See Also:
Fixed In Version: powerline-2.2-2.fc23 powerline-2.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:15:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vít Ondruch 2015-09-07 07:44:49 EDT
Description of problem:
Currently, some files are installed into /usr/share/vim/site

$ rpm -ql vim-plugin-powerline | grep site
/usr/share/vim/site
/usr/share/vim/site/autoload
/usr/share/vim/site/autoload/powerline
/usr/share/vim/site/autoload/powerline/debug.vim
/usr/share/vim/site/plugin
/usr/share/vim/site/plugin/powerline.vim

Unfortunately, this is just SUSE specific directory, unsupported on Fedora. Please install the plugin into proper directory, i.e. %{_datadir}/vim/vimfiles on Fedora.

Please refer to 'runtimepath' documentation [1] for more information.


Version-Release number of selected component (if applicable):
$ rpm -q vim-plugin-powerline
vim-plugin-powerline-2.1-1.fc22.noarch


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:



[1] http://vimdoc.sourceforge.net/htmldoc/options.html#%27runtimepath%27
Comment 1 Fedora Update System 2015-09-17 10:55:24 EDT
powerline-2.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16100
Comment 2 Fedora Update System 2015-09-17 12:21:06 EDT
powerline-2.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16116
Comment 3 Fedora Update System 2015-09-17 17:29:36 EDT
powerline-2.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update powerline'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16100
Comment 4 lnie 2015-09-18 03:39:40 EDT
powerline-2.2-2.fc23 works
Comment 5 Fedora Update System 2015-09-18 12:24:07 EDT
powerline-2.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update powerline'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16116
Comment 6 Fedora Update System 2015-10-05 14:15:26 EDT
powerline-2.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-10-14 02:56:39 EDT
powerline-2.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.